
#import <appkit/appkit.h>

@interface IconWell:Control
{
  char *filename;
  id image, newImage, textField;
  id delegate;
  struct _iconWellFlags {
    unsigned int multiFile:1;
    unsigned int canAccept:1;
    unsigned int acceptWhenFilled:1;
    unsigned int removeOnDrag:1;
    unsigned int bezeled:1;
  } iconWellFlags;
  char **types;
}

- setTypes:(const char *const *) filetypes;
- setAllowMultipleFiles:(BOOL) allow;
- setCanAccept:(BOOL) can;
- setAcceptWhenFilled:(BOOL) accept;
- setRemoveOnDrag:(BOOL) remove;
- setFile:(const char *) aFile;
- setImage:anImage;
- setFilename:(const char *) aName;

@end

/* Interface Builder choked on this kind of thing in 2.1 */
@interface Object(IconWellDelegate)
- iconWell:sender willUseImage:anImage forFile:(const char *) aFile;
- iconWell:sender didAcceptFile:(const char *) aFile;
- iconWell:sender didRemoveFile:(const char *) aFile;
@end
  
