#include <stdio.h>

int
main (int argc, char *argv[])
{
  int i;

  puts ("/* These are unsigned longs so they can be used as array indices */"
	"/* without requiring a zero-extend. */");

  puts ("static const unsigned long bcd_to_binary[] = {");
  for (i = 0; i < 256; i++)
    printf ("0x%02X, ", (i >> 4) * 10 + (i % 16));
  puts ("};");
  
  puts ("static const unsigned char binary_to_bcd[] = {");
  for (i = -100; i < 256; i++)
    {
      int n = (i >= 0) ? i : (i + 100);
      printf ("0x%02X, ", (((n % 100) / 10) << 4) | ((n % 100) % 10));
    }
  puts ("};");

  return 0;
}
