
#import <appkit/appkit.h>

#import "PeripheralCard.h"

@interface UnixShare:PeripheralCard
{
  id txtConvButton;
  id unixField;

  char unixPrefix[MAXPATHLEN];
  char unixVolumeName[MAXPATHLEN];	/* Name of directory to be volume */
  char unixVolumePath[MAXPATHLEN];	/* Path to directory */
  int unixDoTXTConv;			/* Should we convert CR/LF on TXT files */

  FILE *unixFile[8];
  int unixFileMode[8];
  int unixFilePos[8];
  int unixFileLength[8];
  int unixFileNewlineMask[8];
  int unixFileNewlineChar[8];
  int lastCmd;
  int oldAddress;
  char *readbuf;
  int readbuflength;
  char rom_image[256];

  int pdoserrno;
}

- setTXTConv:sender;
- setUnixVol:sender;

- setUnixVolume:(const char *) name;
-(long) ptime:(time_t) t;
-(char *) makeCString:(int) fnameLoc;
- writePString:(char *) fname to:(int) where;

@end
