/*
 * This file is part of zaniWok.
 *
 * zaniWok is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.  See the file COPYING for more information.
 *
 * zaniWok is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */


/*
 *     hgrconv.h
 */

#import "execute.h"
#import <appkit/graphics.h>

#define MAX_UPDATE_RECTS 192

extern int hgr_update_framebuffer (const MemoryElement *screen,
				   unsigned char *shadow,
				   unsigned char *fbuf,
				   NXRect changed_rect[MAX_UPDATE_RECTS],
				   BOOL update_all, BOOL mixed,
				   BOOL monochrome);

extern int dblhgr_update_framebuffer (const MemoryElement *main_screen,
				      const MemoryElement *aux_screen,
				      unsigned char *main_shadow,
				      unsigned char *aux_shadow,
				      unsigned char *fbuf,
				      NXRect changed_rect[MAX_UPDATE_RECTS],
				      BOOL update_all, BOOL mixed,
				      BOOL monochrome);
extern int hgr_update_color_framebuffer (const MemoryElement *screen,
					 unsigned char *shadow,
					 unsigned char *fbuf,
					 NXRect changed_rect[MAX_UPDATE_RECTS],
					 BOOL update_all, BOOL mixed,
					 BOOL monochrome);
