/*
 * This file is part of zaniWok.
 *
 * zaniWok is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.  See the file COPYING for more information.
 *
 * zaniWok is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */


/*
 *     softswitches.h
 */

#include "execute.h"

/* Function prototypes for softswitch handlers. */
extern int read_softswitch_C000_C00F (AccessType rw, MemoryElement *m,
				      MachineState *state);
extern int write_softswitch_C000_C00F (AccessType rw, MemoryElement *m,
				       MachineState *state);
extern int softswitch_C01A_C01F (AccessType rw, MemoryElement *m,
				 MachineState *state);
extern int softswitch_C050_C057 (AccessType rw, MemoryElement *m,
				 MachineState *state);
extern int softswitch_C058_C05F (AccessType rw, MemoryElement *m,
				 MachineState *state);
extern int softswitch_C080_C08F (AccessType rw, MemoryElement *m,
				 MachineState *state);
extern int softswitch_C011_C012 (AccessType rw, MemoryElement *m,
				 MachineState *state);
extern int softswitch_C011_C018 (AccessType rw, MemoryElement *m,
				 MachineState *state);
extern int softswitch_C010 (AccessType rw, MemoryElement *m,
			    MachineState *state);
extern int softswitch_C019 (AccessType rw, MemoryElement *m,
			    MachineState *state);
extern int softswitch_C061_C063 (AccessType rw, MemoryElement *m,
				 MachineState *state);
extern int softswitch_C064_C067 (AccessType rw, MemoryElement *m,
				 MachineState *state);
extern int softswitch_C070 (AccessType rw, MemoryElement *m,
			    MachineState *state);
